AIX 7.1 TL 4 : bos.rte.control (U868931)

This script is Copyright (C) 2016 Tenable Network Security, Inc.


Synopsis :

The remote AIX host is missing a vendor-supplied security patch.

Description :

The remote host is missing AIX PTF U868931, which is related to the
security of the package bos.rte.control.

Libxml2 is vulnerable to a denial of service, caused by a heap-based
buffer overflow in the xmlParseEntityDecl or
xmlParseConditionalSections function. By using a specially crafted XML
data, a remote attacker could exploit this vulnerability to trigger an
out-of-bounds read and cause the system to crash. Libxml2 is
vulnerable to a denial of service, caused by a heap-based buffer
overflow in the xmlParseConditionalSections function. By using a
specially crafted XML data, a remote attacker could exploit this
vulnerability to trigger an out-of-bounds read and cause the system to
crash. libxml2 is vulnerable to a buffer overflow, caused by improper
bounds checking by the XML parser in xmlNextChar. By using a malformed
XML file, a local attacker could overflow a buffer and execute
arbitrary code on the system or cause the application to crash.

See also :

http://www-01.ibm.com/support/docview.wss?uid=isg1IV80586

Solution :

Install the appropriate missing security-related fix.

Risk factor :

Medium / CVSS Base Score : 6.8
(CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P)

Family: AIX Local Security Checks

Nessus Plugin ID: 91234 ()

Bugtraq ID:

CVE ID: CVE-2015-7941
CVE-2015-7942
CVE-2015-8241

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now